Loop during upgrade from 1.5.7 to 1.5.8



  • Hello,
    i’ve got some problem to upgrade fog to 1.5.8 i’ve got a kind of loop :

    To improve the overall security the installer will create an
    unpriviledged database user account for FOG's database access.
    Please provide the database *root* user password. Be asured
    that this password will only be used while the FOG installer
    is running and won't be stored anywhere:
    

    I enter a password for this root user
    then :

    The current fogstorage database password does not meet high
     security standards. We will generate a new password and update
     all the settings on this FOG server for you. Please take note
     of the following credentials that you need to manually update
     on all your storage nodes' /opt/fog/.fogsettings configuration
     files and re-run (!) the FOG installer:
     snmysqluser='fogstorage'
     snmysqlpass='Qsz+9uL1GcKZrL3ef8D1'
    
     Press [Enter] to proceed after you noted down the credentials.
    

    And again the same, endless
    Could you help me ?


  • Senior Developer

    @plegrand Ops, I forgot to post here. This should be fixed in dev-branch now…



  • @Sebastian-Roth
    Yes absolutely, with the php updates that went with it. I guess the problem came from there?


  • Senior Developer

    @plegrand Ok thanks for posting more information. Allow me one more question. Between installing FOG 1.5.7 and updating to 1.5.8 you upgraded Debian Linux from 9 to version 10, right?

    Merci d’avoir posté plus d’informations. Permettez-moi une autre question. Entre l’installation de FOG 1.5.7 et la mise à jour vers 1.5.8, vous avez mis à niveau Debian Linux de 9 à la version 10, non?



  • @Sebastian-Roth

    Distributor ID: Debian
    Description: Debian GNU/Linux 10 (buster)
    Release: 10
    Codename: buster
    4.19.0-8-amd64

    Lors de la mise à jour de Fog 1.5.7 vers 1.5.8 j’ai eu dans un premier temps ce message :

    To improve the overall security the installer will create an
    unpriviledged database user account for FOG's database access.
    Please provide the database *root* user password. Be asured
    that this password will only be used while the FOG installer
    is running and won't be stored anywhere:
    

    J’ai donc renseigné le mot de passe root
    Suite à ça j’ai eu ce message :

    The current fogstorage database password does not meet high
     security standards. We will generate a new password and update
     all the settings on this FOG server for you. Please take note
     of the following credentials that you need to manually update
     on all your storage nodes' /opt/fog/.fogsettings configuration
     files and re-run (!) the FOG installer:
     snmysqluser='fogstorage'
     snmysqlpass='Qsz+9uL1GcKZrL3ef8D1'
    
     Press [Enter] to proceed after you noted down the credentials.
    

    J’ai donc appuyé sur enter et à ce moment j’ai eu un message d’erreur du type :

    stopping web services................Failed!
    

    A vrai dire je ne suis pas tout à fait sur du “stopping”
    J’ai tout de même suivi la procédure (modifier /opt/fog/.fogsettings puis relancer l’installer)
    Lorsque j’ai relancé l’installer j’ai eu de nouveau les mêmes messages (mot de passe root puis modification de /opt/fog/.fogsettings)
    C’est ici que je parle de boucle dans la mesure ou à chaque fois que je lancais l’installer je devais tout recommencer.

    A la lecture de ce post :
    https://forums.fogproject.org/topic/14279/upgrade-debian-9-to-debian-10-fog-1-5-7-and-fog-1-5-8
    Le problème ressemblait au miens, j’ai donc suivi les conseils de ce post et depuis tout fonctionne correctement.


  • Senior Developer

    @plegrand As well please add information on the Linux OS and version you use. The issue might be very specific and we need to know what you use to be able to help.


  • Moderator

    @plegrand Please explain in french if it helps you explain. We will translate on the FOG Project end.

    This is mainly a english support forum, but if you can explain the problem better in your native language, please use your native language.



  • @Sebastian-Roth Bonjour,
    je crois que tu parles français. Est-ce possible de t’expliquer ça en français ?


  • Senior Developer

    @plegrand What do you mean by loop? So far I haven’t seen this part of the installer loop. Which message did you get after “Press [Enter] to proceed after you noted down the credentials”?



  • Everything seems to works now. The problem was the same than this :
    https://forums.fogproject.org/topic/14279/upgrade-debian-9-to-debian-10-fog-1-5-7-and-fog-1-5-8


Log in to reply
 

311
Online

7.4k
Users

14.5k
Topics

136.5k
Posts